[openssl-commits] [tools] master update
Richard Levitte
levitte at openssl.org
Thu Aug 17 12:37:30 UTC 2017
The branch master has been updated
via 1cd3086c6cf82454b34679bf073f0a3b5bf4c0dc (commit)
via e3a8a33fde90e0c8c9f9704d58061dcda95b865a (commit)
via 1610ee4fee5e1599366e418d88e1d3a62afa88d7 (commit)
from 1281a53b704f7d2529832003c6d157489f00a4f7 (commit)
- Log -----------------------------------------------------------------
commit 1cd3086c6cf82454b34679bf073f0a3b5bf4c0dc
Author: Johannes Bauer <joe at johannes-bauer.com>
Date: Fri Aug 11 18:01:23 2017 +0200
Include disableables that were currently not in run-checker
Took disableables from "Configure" that were previously not part of
run-checker.sh and added them.
commit e3a8a33fde90e0c8c9f9704d58061dcda95b865a
Author: Johannes Bauer <joe at johannes-bauer.com>
Date: Fri Aug 11 17:13:39 2017 +0200
Actually check for clang and afl-clang-fast
Check for presence of clang and afl-clang-fast in path instead of
warning about them not being in PATH indiscriminately.
commit 1610ee4fee5e1599366e418d88e1d3a62afa88d7
Author: Johannes Bauer <joe at johannes-bauer.com>
Date: Fri Aug 11 17:10:48 2017 +0200
Fix inconsistent indentation
Replace tabs by spaces everywhere.
-----------------------------------------------------------------------
Summary of changes:
run-checker/run-checker.sh | 24 +++++++++++++++++-------
1 file changed, 17 insertions(+), 7 deletions(-)
diff --git a/run-checker/run-checker.sh b/run-checker/run-checker.sh
index dc2d8b8..66d7f99 100755
--- a/run-checker/run-checker.sh
+++ b/run-checker/run-checker.sh
@@ -28,6 +28,11 @@ enable-crypto-mdebug enable-crypto-mdebug-backtrace no-ct no-deprecated no-des
no-dgram no-dh no-dsa no-dso no-dynamic-engine no-ec no-ec2m no-ecdh
no-ecdsa enable-ec_nistp_64_gcc_128 enable-egd no-engine 'no-engine no-shared'
no-err no-filenames
+no-aria no-asan no-crypto-mdebug no-crypto-mdebug-backtrace no-devcryptoeng
+no-ec_nistp_64_gcc_128 no-egd no-external-tests no-fuzz-afl no-fuzz-libfuzzer
+no-heartbeats no-md2 no-msan no-rc5 no-sctp no-ssl no-ssl-trace no-tests
+no-tls13downgrade no-ubsan no-ui-console no-unit-test no-weak-ssl-ciphers
+no-zlib no-zlib-dynamic
enable-fuzz-afl enable-fuzz-libfuzzer enable-heartbeats no-hw no-hw-padlock
no-idea no-makedepend enable-md2 no-md4 no-md5 no-mdc2 no-gost no-multiblock
no-nextprotoneg no-ocb no-ocsp no-pic no-poly1305 no-posix-io no-psk no-rc2
@@ -67,7 +72,7 @@ rkill () {
done
fi
if [ "$pid" != "$notpid" ]; then
- kill -s "$signal" "$pid"
+ kill -s "$signal" "$pid"
fi
}
@@ -77,20 +82,25 @@ if [ ! -d openssl/.git ]; then
fi
if run-hook prepare; then
- echo "Ensure chromium clang and afl-clang-fast are on PATH"
+ for req_binary in clang afl-clang-fast; do
+ which $req_binary >/dev/null 2>&1
+ if [ "$?" != "0" ]; then
+ echo "Warning: $req_binary does not appear to be in PATH"
+ fi
+ done
for opt in "${opts[@]}";
do
expandedopts="$opt"
warnopts="--strict-warnings"
- optcc="clang"
+ optcc="clang"
ldcmd=""
if [ "$opt" == "enable-asan" ]; then
# A documented requirement for enable-asan is no-shared
expandedopts="enable-asan no-shared -DOPENSSL_SMALL_FOOTPRINT"
elif [ "$opt" == "enable-ubsan" ]; then
- # We've seen it on Travis already, ubsan requires -DPEDANTIC and
- # -fno-sanitize=alignment, or crypto/modes will fail to build in
- # some circumstances. Running on a VM seems to be one of them.
+ # We've seen it on Travis already, ubsan requires -DPEDANTIC and
+ # -fno-sanitize=alignment, or crypto/modes will fail to build in
+ # some circumstances. Running on a VM seems to be one of them.
expandedopts="enable-ubsan -DPEDANTIC -DOPENSSL_SMALL_FOOTPRINT -fno-sanitize=alignment"
elif [ "$opt" == "enable-fuzz-afl" ]; then
warnopts=""
@@ -163,7 +173,7 @@ if run-hook prepare; then
# The 'exit 0' below will be executed if any preceeding
# command fails.
rkill SIGTERM $testpid $BASHPID && kill -0 $testpid \
- || exit 0
+ || exit 0
sleep $delay
rkill SIGKILL $testpid $BASHPID
) 2> /dev/null &
More information about the openssl-commits
mailing list